> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.reka.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.reka.ai/_mcp/server.

# Plan Features

POST https://vision-agent.api.reka.ai/v2/videos/{video_id}/features/plan
Content-Type: application/json

Given desired features, return what the agent can trigger next.

Reference: https://docs.reka.ai/vision/api-reference/features/plan-features

## Authentication

- `X-Api-Key` header (required) — API key authentication via X-Api-Key header
- `Authorization` header (bearer token, required) — Bearer token authentication via Authorization header

## Request

### Path parameters

- `video_id` (string, required)

### Body (application/json)

This endpoint expects a FeaturePlanRequest.

- `desired` (list of enum, required)
  - Allowed values: `transcript`, `captions`, `reel_captions`, `embeddings`, `objects`, `scenes`, `audio_events`, `chapters`, `thumbnails`

## Response

### 200

Successful Response

- `video_id` (string, required)
- `all_required` (list of enum, required)
  - Allowed values: `transcript`, `captions`, `reel_captions`, `embeddings`, `objects`, `scenes`, `audio_events`, `chapters`, `thumbnails`
- `statuses` (map from string to enum, required)
  - Allowed values: `none`, `pending`, `processing`, `ready`, `failed`, `blocked`
- `actionable` (list of enum, required)
  - Allowed values: `transcript`, `captions`, `reel_captions`, `embeddings`, `objects`, `scenes`, `audio_events`, `chapters`, `thumbnails`
- `processing` (list of enum, required)
  - Allowed values: `transcript`, `captions`, `reel_captions`, `embeddings`, `objects`, `scenes`, `audio_events`, `chapters`, `thumbnails`
- `blocked` (list of enum, required)
  - Allowed values: `transcript`, `captions`, `reel_captions`, `embeddings`, `objects`, `scenes`, `audio_events`, `chapters`, `thumbnails`
- `done` (boolean, required)
- `reconfigure` (map from string to ReconfigureAction, optional)
- `errors` (map from string to string, optional)

## Types

### ReconfigureAction

Tells the agent how to reconfigure a parent feature to unblock a dependency.

- `trigger` (enum, required)
  - Allowed values: `transcript`, `captions`, `reel_captions`, `embeddings`, `objects`, `scenes`, `audio_events`, `chapters`, `thumbnails`
- `config` (ReconfigureConfig, required) — Request body to pass when re-triggering a parent feature.
- `message` (string, required)

### ReconfigureConfig

Request body to pass when re-triggering a parent feature.

- `chunking_config` (ChunkingConfig, required)

### ChunkingConfig

- `min_len` (double, optional, default: 15)
- `max_len` (double, optional, default: 25)
- `use_scene_detection` (boolean, optional, default: false)
- `use_asr` (boolean, optional, default: true)
- `vad_threshold` (double, optional, nullable)
- `language` (string, optional, nullable)
- `tiered_scene_detection_sampling` (boolean, optional, default: false)
- `async_chunking` (boolean, optional, default: false) — If True, chunks are sent to queue for async processing; if False, returned directly

## Examples

**Request**

```json
{
  "desired": [
    "transcript"
  ]
}
```

**Response**

```json
{
  "video_id": "string",
  "all_required": [
    "transcript"
  ],
  "statuses": {},
  "actionable": [
    "transcript"
  ],
  "processing": [
    "transcript"
  ],
  "blocked": [
    "transcript"
  ],
  "done": true,
  "reconfigure": {},
  "errors": {}
}
```

**SDK Code**

```python
import requests

url = "https://vision-agent.api.reka.ai/v2/videos/video_id/features/plan"

payload = { "desired": ["transcript"] }
headers = {
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://vision-agent.api.reka.ai/v2/videos/video_id/features/plan';
const options = {
  method: 'POST',
  headers: {'X-Api-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"desired":["transcript"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://vision-agent.api.reka.ai/v2/videos/video_id/features/plan"

	payload := strings.NewReader("{\n  \"desired\": [\n    \"transcript\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://vision-agent.api.reka.ai/v2/videos/video_id/features/plan")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"desired\": [\n    \"transcript\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://vision-agent.api.reka.ai/v2/videos/video_id/features/plan")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"desired\": [\n    \"transcript\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://vision-agent.api.reka.ai/v2/videos/video_id/features/plan', [
  'body' => '{
  "desired": [
    "transcript"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://vision-agent.api.reka.ai/v2/videos/video_id/features/plan");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"desired\": [\n    \"transcript\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["desired": ["transcript"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://vision-agent.api.reka.ai/v2/videos/video_id/features/plan")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```